Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.cayenne.query
Enum CapsStrategy

    java.lang.Object
      java.lang.Enum<CapsStrategy>
          org.apache.cayenne.query.CapsStrategy

All Implemented Interfaces:
  Serializable, Comparable<CapsStrategy>

    public enum CapsStrategy

extends Enum<CapsStrategy>

Defines forced capitalization of the result column names in the DataRow.

Since:
  3.0

Enum Constant Summary
`DEFAULT`
`LOWER`
`UPPER`

Method Summary
`static CapsStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CapsStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEFAULT

    public static final CapsStrategy DEFAULT

### UPPER

    public static final CapsStrategy UPPER

### LOWER

    public static final CapsStrategy LOWER

Method Detail

### values

    public static CapsStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CapsStrategy c : CapsStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CapsStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001–2014 Apache Cayenne. All rights reserved.